[Legacy]{class="badge informative"}
List collection qualifiers list-tags
Collection qualifiers (previously known as “tags”) allow you to better organize and sort through your offers. For example, you could label your Black Friday offers with the “Black Friday” collection qualifier. You can then use the search functionality in the Offer Library to easily locate all of the offers with that collection qualifier.
Collection qualifiers can also be used to group offers together into collections. For more information, see the tutorial on creating collections.
You can view a list of all collection qualifiers by performing a single GET request to the Offer Library API.
API format
GET /{ENDPOINT_PATH}/{CONTAINER_ID}/queries/core/search?schema={SCHEMA_TAG}&{QUERY_PARAMS}
{ENDPOINT_PATH}https://platform.adobe.io/data/core/xcore/{CONTAINER_ID}e0bd8463-0913-4ca1-bd84-6309134ca1f6{SCHEMA_TAG}https://ns.adobe.com/experience/offer-management/tag;version=0.1{QUERY_PARAMS}limit=2Request
curl -X GET \
'https://platform.adobe.io/data/core/xcore/e0bd8463-0913-4ca1-bd84-6309134ca1f6/queries/core/search?schema=https://ns.adobe.com/experience/offer-management/tag;version=0.1&limit=2' \
-H 'Accept: *,application/vnd.adobe.platform.xcore.hal+json; schema="https://ns.adobe.com/experience/xcore/hal/results"' \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'x-api-key: {API_KEY}' \
-H 'x-gw-ims-org-id: {IMS_ORG}' \
-H 'x-sandbox-name: {SANDBOX_NAME}'
Using query parameters using-query-parameters
You can use query parameters to page and filter results when listing resources.
Paging paging
The most common query parameters for paging include:
propertyAn optional property filter:
- The properties are grouped by AND operation.
- Parameters can be repeated like so: property={PROPERTY_EXPR}[&property={PROPERTY_EXPR2}…] or property={PROPERTY_EXPR1}[,{PROPERTY_EXPR2}…]
- Property expressions are in format
[!]field[op]value, withopin[==,!=,<=,>=,<,>,~], supporting regular expressions.
property=name!=abc&property=id~.*1234.*&property=description equivalent with property=name!=abc,id~.*1234.*,description.orderByorderby=field1[,-fields2,field3,...]orderby=id,-namelimitlimit=5Response
A successful response returns a list of collection qualifiers that are present within the container you have access to.
{
"containerId": "e0bd8463-0913-4ca1-bd84-6309134ca1f6",
"schemaNs": "https://ns.adobe.com/experience/offer-management/tag;version=0.1",
"requestTime": "2023-10-21T20:28:21.521267Z",
"_embedded": {
"results": [
{
"instanceId": "0adf2ef0-0f6e-11eb-b3be-9b775f952952",
"schemas": [
"https://ns.adobe.com/experience/offer-management/tag;version=0.1"
],
"productContexts": [
"acp"
],
"repo:etag": 2,
"repo:createdDate": "2023-10-16T05:11:26.815213Z",
"repo:lastModifiedDate": "2023-10-16T22:20:20.190006Z",
"repo:createdBy": "{CREATED_BY}",
"repo:lastModifiedBy": "{MODIFIED_BY}",
"repo:createdByClientId": "{CREATED_CLIENT_ID}",
"repo:lastModifiedByClientId": "{MODIFIED_CLIENT_ID}",
"_instance": {
"xdm:name": "Sneakers",
"@id": "xcore:tag:1246d138ec8cca1f"
},
"_links": {
"self": {
"name": "https://ns.adobe.com/experience/offer-management/tag;version=0.1#0adf2ef0-0f6e-11eb-b3be-9b775f952952",
"href": "/e0bd8463-0913-4ca1-bd84-6309134ca1f6/instances/0adf2ef0-0f6e-11eb-b3be-9b775f952952",
"@type": "https://ns.adobe.com/experience/offer-management/tag;version=0.1"
}
}
},
{
"instanceId": "149e0de0-ff5f-11ea-b017-f98866426d43",
"schemas": [
"https://ns.adobe.com/experience/offer-management/tag;version=0.1"
],
"productContexts": [
"acp"
],
"repo:etag": 1,
"repo:createdDate": "2023-09-25T18:44:02.109748Z",
"repo:lastModifiedDate": "2023-09-25T18:44:02.109748Z",
"repo:createdBy": "{CREATED_BY}",
"repo:lastModifiedBy": "{MODIFIED_BY}",
"repo:createdByClientId": "{CREATED_CLIENT_ID}",
"repo:lastModifiedByClientId": "{MODIFIED_CLIENT_ID}",
"_instance": {
"xdm:name": "retirement",
"@id": "xcore:tag:122c81d2804e69e3"
},
"_links": {
"self": {
"name": "https://ns.adobe.com/experience/offer-management/tag;version=0.1#149e0de0-ff5f-11ea-b017-f98866426d43",
"href": "/e0bd8463-0913-4ca1-bd84-6309134ca1f6/instances/149e0de0-ff5f-11ea-b017-f98866426d43",
"@type": "https://ns.adobe.com/experience/offer-management/tag;version=0.1"
}
},
"sandboxName": "ode-prod-va7-edge-testing"
}
],
"total": 11,
"count": 2
},
"_links": {
"self": {
"href": "/e0bd8463-0913-4ca1-bd84-6309134ca1f6/queries/core/search?schema=https://ns.adobe.com/experience/offer-management/tag;version=0.1&limit=2",
"@type": "https://ns.adobe.com/experience/xcore/hal/results"
},
"next": {
"href": "/e0bd8463-0913-4ca1-bd84-6309134ca1f6/queries/core/search?start=149e0de0-ff5f-11ea-b017-f98866426d43&orderby=instanceId&schema=https://ns.adobe.com/experience/offer-management/tag;version=0.1&limit=2",
"@type": "https://ns.adobe.com/experience/xcore/hal/results"
}
}
}